openmpi-bin_3.1.3-10_amd64.deb


Advertisement

Description

openmpi-bin - high performance message passing library -- binaries

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename openmpi-bin_3.1.3-10_amd64.deb
Package name openmpi-bin
Package version 3.1.3
Package release 10
Package architecture amd64
Package type deb
Category universe/net
Homepage https://www.open-mpi.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 85.79 KB
Installed size 463.00 KB
Open MPI is a project combining technologies and resources from several other
projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
MPI library available. A completely new MPI-3.1 compliant implementation, Open
MPI offers advantages for system and software vendors, application developers
and computer science researchers.
Features:
* Full MPI-3.1 standards conformance
* Thread safety and concurrency
* Dynamic process spawning
* High performance on all platforms
* Reliable and fast job management
* Network and process fault tolerance
* Support network heterogeneity
* Single library supports all networks
* Run-time instrumentation
* Many job schedulers supported
* Internationalized error messages
* Component-based design, documented APIs
This package contains the Open MPI utility programs.

Alternatives

Package Version Architecture Repository
openmpi-bin_3.1.3-10_i386.deb 3.1.3 i386 Ubuntu Universe
openmpi-bin - - -

Requires

Name Value
libc6 >= 2.8
libevent-2.1-6 >= 2.1.8-stable
libopenmpi3 -
openmpi-common >= 3.1.3-10
openssh-client -
ssh-client -

Conflicts

Name Value
openmpi-bin -

Replaces

Name Value
libopenmpi-dev << 3.0.1~rc2-2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package openmpi-bin_3.1.3-10_amd64.deb
Source Package openmpi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install openmpi-bin deb package:
    # sudo apt-get install openmpi-bin

Files

Path
/etc/openmpi/openmpi-default-hostfile
/etc/openmpi/openmpi-mca-params.conf
/etc/openmpi/openmpi-totalview.tcl
/usr/bin/mpiCC.openmpi
/usr/bin/mpic++.openmpi
/usr/bin/mpicc.openmpi
/usr/bin/mpicxx.openmpi
/usr/bin/mpiexec.openmpi
/usr/bin/mpif77.openmpi
/usr/bin/mpif90.openmpi
/usr/bin/mpifort.openmpi
/usr/bin/mpirun.openmpi
/usr/bin/ompi-clean
/usr/bin/ompi-ps
/usr/bin/ompi-server
/usr/bin/ompi-top
/usr/bin/ompi_info
/usr/bin/opal_wrapper
/usr/bin/opalc++
/usr/bin/opalcc
/usr/bin/orte-clean
/usr/bin/orte-ps
/usr/bin/orte-server
/usr/bin/orte-top
/usr/bin/orted
/usr/bin/orterun
/usr/bin/oshmem_info
/usr/bin/oshrun
/usr/share/doc/openmpi-bin/NEWS.gz
/usr/share/doc/openmpi-bin/README.Debian
/usr/share/doc/openmpi-bin/README.gz
/usr/share/doc/openmpi-bin/changelog.Debian.gz
/usr/share/doc/openmpi-bin/copyright
/usr/share/man/man1/mpiCC.openmpi.1.gz
/usr/share/man/man1/mpic++.openmpi.1.gz
/usr/share/man/man1/mpicc.openmpi.1.gz
/usr/share/man/man1/mpicxx.openmpi.1.gz
/usr/share/man/man1/mpiexec.openmpi.1.gz
/usr/share/man/man1/mpif77.openmpi.1.gz
/usr/share/man/man1/mpif90.openmpi.1.gz
/usr/share/man/man1/mpifort.openmpi.1.gz
/usr/share/man/man1/mpirun.openmpi.1.gz
/usr/share/man/man1/ompi-clean.1.gz
/usr/share/man/man1/ompi-ps.1.gz
/usr/share/man/man1/ompi-server.1.gz
/usr/share/man/man1/ompi-top.1.gz
/usr/share/man/man1/ompi_info.1.gz
/usr/share/man/man1/opalCC.1.gz
/usr/share/man/man1/opal_wrapper.1.gz
/usr/share/man/man1/opalc++.1.gz
/usr/share/man/man1/opalcc.1.gz
/usr/share/man/man1/orte-clean.1.gz
/usr/share/man/man1/orte-ps.1.gz
/usr/share/man/man1/orte-server.1.gz
/usr/share/man/man1/orte-top.1.gz
/usr/share/man/man1/orteCC.1.gz
/usr/share/man/man1/ortec++.1.gz
/usr/share/man/man1/ortecc.1.gz
/usr/share/man/man1/orted.1.gz
/usr/share/man/man1/orterun.1.gz
/usr/share/man/man1/oshmem_info.1.gz
/usr/share/man/man1/oshrun.1.gz

Changelog

2019-01-20 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-10) unstable; urgency=medium
* Remove obsolete debian/TODO comments
* Include cleanups of alternatives handling by Andreas Beckmann.
Closes: #915025
* Add Breaks: libmpich-dev (<< 3.3~b1-5) to libopenmpi-dev as the mpi 
alternatives handling changed.
2019-01-08 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-9) unstable; urgency=medium
* Re-enable external pmix now that it works with 32-bit systems again.
Closes: #918713.
2019-01-07 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-8) unstable; urgency=medium
* dh-fortran-mod >= 0.11 to properly remove files on purge.
Closes: #918000, #915025.
* Use internal pmix until pmix pkg works.
2019-01-01 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-7) unstable; urgency=medium
* Standards-Version: 4.3.0
* Use dh-fortran-mod and place mod files in $fmoddir/openmpi to avoid
collision with mpich. Closes: #917133
* Patch to remove PMIX_MODEX (removed in latest pmix release)
2018-12-20 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-6) unstable; urgency=medium
* Rebuild with dh-fortran-mod >= 0.6 to fix broken postrm script.
Closes: #916890
2018-12-11 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-5) unstable; urgency=medium
* Use dh-fortran-mod >= 0.4: insert tracking via Fortran-Mod rather than
Depends. mod file is now placed in /usr/lib/$arch/fortran/gfortran-8
($fmoddir) but also in usual place until gfortan reads $fmoddirOA
2018-12-07 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-4) unstable; urgency=medium
* More robust altertnatives handling. Closes: #915025
* Don't call dpkg-parsechangelog in rules
2018-11-28 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-3) unstable; urgency=medium
* Use dh-fortran-mod to track Fortran module version
* Change symlink /usr/include/openmpi to /usr/include/$ma/openmpi
2018-10-31 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-2) unstable; urgency=medium
* Check if mpi alternatives is corrupt. If so, delete. Closes: #912437
* openmpi-dev.postinst: don't call update-alt on abort
* openmpi-bin.postinst: silence grep output on check
2018-10-30 - Alastair McKinstry <mckinstry@debian.org>
openmpi (3.1.3-1) unstable; urgency=medium
* New upstream release Closes: #902101 
* Drop alioth mailing list (OpenMPI maintainers) from Uploaders.
Closes: #899289.
* Openmpi-bin is not labelled M-A: foreign. Closes: #901874
* preinst, postinst scripts: recast conditionals to allow 'set -e'
* Add Recommends: libopenmpi-dev to openmpi-bin

See Also

Package Description
openmpi-common_3.1.3-10_all.deb high performance message passing library -- common files
openmpi-doc_3.1.3-10_all.deb high performance message passing library -- man pages
openmpt123_0.4.3-1_amd64.deb module music library based on OpenMPT -- music player
openms-common_2.4.0-real-1_all.deb package for LC/MS data management and analysis - shared data
openms-doc_2.4.0-real-1_all.deb package for LC/MS data management and analysis - documentation
openms_2.4.0-real-1_all.deb package for LC/MS data management and analysis
openmsx-catapult_0.15.0-1_amd64.deb GUI for openMSX
openmsx-data_0.15.0-2_all.deb datafiles for openMSX, an MSX emulator
openmsx-debugger_0.1~git20170806-1_amd64.deb Graphical debugger for openMSX
openmsx_0.15.0-2_amd64.deb MSX emulator that aims for perfection
openmx-data_3.8.5+dfsg1-1_all.deb package for nano-scale material simulations (data)
openmx_3.8.5+dfsg1-1_amd64.deb package for nano-scale material simulations
opennebula-context_4.14.0-1_all.deb contextualization package
openni-doc_1.5.4.0+dfsg-2_all.deb developer documentation for OpenNI frameworks
openni-utils_1.5.4.0+dfsg-2_amd64.deb debug and test utilities OpenNI framework
Advertisement
Advertisement